Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19282

Description

For some strange reason changing attribute data via attribute form duplicates whole feature.

Steps to reproduce:

    -  Create a new shapefile with any attribute column (tested points/lines with floats/strings)

    -  Digitize few objects and fill some attribute data info

    -  Use "identify" tool to open attribute form for any of objects

    -  Change the attribute data and OK results

    -  Saving / enabling-disabling editing seems to be optional

Results: The object is duplicated. One copy contains the old attribute data; second - the new attribute data.

Editing attributes in the attribute table seem to work just fine.

Tested with:

QGIS versija    2.5.0-Master    QGIS koda revīzija    57dcfca

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

Associated revisions

Revision e6d3c0be - 2014-07-24 11:40 AM - Matthias Kuhn

Followup 11f197e

Fix #10922

History

#1 - 2014-07-22 01:08 AM - Giovanni Manghi

- Operating System deleted (Linux)

- Priority changed from High to Severe/Regression

- Category changed from Forms to Vectors

- Subject changed from Editing object attribute data via identify tool -> attribute form results in object duplication to Editing object attribute data via 

identify tool duplicates the feature

Confirmed, it is just a master issue as does not happens on 2.4

#2 - 2014-07-24 02:41 AM - Matthias Kuhn

- Status changed from Open to Closed
Fixed in changeset commit:"e6d3c0be5409f25bfade2f1b957a85753e6f4938".

Files

rm_duplicate_objects.zip 1.89 KB 2014-07-21 marisn -

2025-04-27 2/2


